summaryrefslogtreecommitdiffstats
path: root/ham
diff options
context:
space:
mode:
author JK Wood <joshuakwood@gmail.com>2014-07-14 07:03:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-07-16 18:26:46 +0700
commit60c9e6aa4f0bec5dfe8f5f8da82b335494a440f5 (patch)
tree86e31206d60513ff3e6d726b5da466777724d32d /ham
parentb284b461f5b237718b9673b6d73e240f1ac07a54 (diff)
downloadslackbuilds-60c9e6aa4f0bec5dfe8f5f8da82b335494a440f5.tar.gz
slackbuilds-60c9e6aa4f0bec5dfe8f5f8da82b335494a440f5.tar.xz
ham/ebook2cwgui: Added (GUI front end for ebook2cw).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'ham')
-rw-r--r--ham/ebook2cwgui/README2
-rw-r--r--ham/ebook2cwgui/ebook2cwgui.SlackBuild94
-rw-r--r--ham/ebook2cwgui/ebook2cwgui.info10
-rw-r--r--ham/ebook2cwgui/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/ham/ebook2cwgui/README b/ham/ebook2cwgui/README
new file mode 100644
index 0000000000..763b05d658
--- /dev/null
+++ b/ham/ebook2cwgui/README
@@ -0,0 +1,2 @@
+ebook2cwgui acts as a GUI front end to the ebook2cw command line
+ebook/text to Morse Code generator program.
diff --git a/ham/ebook2cwgui/ebook2cwgui.SlackBuild b/ham/ebook2cwgui/ebook2cwgui.SlackBuild
new file mode 100644
index 0000000000..1403083302
--- /dev/null
+++ b/ham/ebook2cwgui/ebook2cwgui.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+# Slackbuild for ebook2cwgui
+# Written by JK Wood <joshuakwood@gmail.com>
+
+# Slackbuild is released under the Dog-on-Fire License:
+# If use of this script causes your dog to catch on fire,
+# you agree to send me five dollars. Or a picture
+# of the dog on fire.
+# Otherwise, you're on your own. I've tested the script
+# on my own computer, and it hasn't broken anything.
+# So if it does it on your computer, that falls in
+# the realm of "Not my problem."
+#
+# Of course, if you'll send a bug report to the above
+# email address, I may be able to see what you did
+# wrong and prevent it from happening in the future.
+# In which case, I may just send YOU five dollars.
+
+# Oh, and feel free to copy it and modify it as you
+# see fit. Or as I see fit. Or as I fit. Although
+# that is unlikely, as I am rather tall.
+
+PRGNAM=ebook2cwgui
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix man file path
+sed -i s#/share##g Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make DESTDIR=$PKG/usr
+make install DESTDIR=$PKG/usr
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/ebook2cwgui/ebook2cwgui.info b/ham/ebook2cwgui/ebook2cwgui.info
new file mode 100644
index 0000000000..205c44387e
--- /dev/null
+++ b/ham/ebook2cwgui/ebook2cwgui.info
@@ -0,0 +1,10 @@
+PRGNAM="ebook2cwgui"
+VERSION="0.1.2"
+HOMEPAGE="http://fkurz.net/ham/ebook2cw.html"
+DOWNLOAD="http://fkurz.net/ham/ebook2cw/ebook2cwgui-0.1.2.tar.gz"
+MD5SUM="89632a392956a9f3fc66461dfa4e08c6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ebook2cw wxPython"
+MAINTAINER="JK Wood"
+EMAIL="joshuakwood@gmail.com"
diff --git a/ham/ebook2cwgui/slack-desc b/ham/ebook2cwgui/slack-desc
new file mode 100644
index 0000000000..7d3b228d56
--- /dev/null
+++ b/ham/ebook2cwgui/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ebook2cwgui: ebook2cwgui (GUI front end for ebook2cw)
+ebook2cwgui:
+ebook2cwgui: ebook2cwgui is a front end for the ebook2cw command-line ebook to
+ebook2cwgui: morse code mp3/OGG file converter.
+ebook2cwgui:
+ebook2cwgui:
+ebook2cwgui:
+ebook2cwgui:
+ebook2cwgui:
+ebook2cwgui: Homepage: http://fkurz.net/ham/ebook2cw.html
+ebook2cwgui: